#[cfg(feature = "server")]
use crate::util::surrealdb::DB;
use serde::Deserialize;
use std::collections::BTreeSet;

mod migration;

#[derive(Debug, Deserialize, PartialEq, Eq)]
pub struct Member {
    id: String,
    name: Name,
    hours: BTreeSet<String>,
    groups: BTreeSet<String>,
    diploma: Option<String>,
    registration_token: Option<String>,
}

#[derive(Debug, Deserialize, PartialEq, Eq)]
pub struct Name {
    first: String,
    full: String,
}

#[cfg(feature = "server")]
impl Member {
    pub async fn fetch_all() -> Result<Vec<Self>, surrealdb::Error> {
        let mut res = DB.query("SELECT type::string(id) as id, name, hours, groups, diploma, registration_token FROM member").await?;

        let members: Vec<Self> = res.take(0)?;

        Ok(members)
    }
}
