use once_cell::sync::Lazy;
use surrealdb::engine::local::{Db, SpeeDb};
use surrealdb::Surreal;

pub static DB: Lazy<Surreal<Db>> = Lazy::new(|| Surreal::init());

pub async fn initialize() -> surrealdb::Result<()> {
    DB.connect::<SpeeDb>("./database").await?;

    DB.use_ns("xvmcmm").use_db("xvmcmm").await?;

    apply_queries().await?;

    Ok(())
}

async fn apply_queries() -> surrealdb::Result<()> {
    Ok(())
}
